Translations
curl --request GET \
--url 'https://api.themoviedb.org/3/person/{{person_id}}/translations'import requests
url = "https://api.themoviedb.org/3/person/{{person_id}}/translations"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.themoviedb.org/3/person/{{person_id}}/translations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 63429,
"translations": [
{
"data": {
"biography": "Kwak Jae-yong is a South Korean film director and screenwriter. He studied physics at Kyung Hee University. He achieved success with his debut film Watercolor Painting in a Rainy Day in 1989, but the failure of his next two movies led to eight years of unemployment before a comeback with the smash-hit film My Sassy Girl in 2001. He is known for his limitless fondness of love stories set in a mix of different genres.\n\nDescription above from the Wikipedia article Kwak Jae-yong, licensed under CC-BY-SA, full list of contributors on Wikipedia.",
"name": "Kwak Jae-yong",
"primary": false
},
"english_name": "English",
"iso_3166_1": "US",
"iso_639_1": "en",
"name": "English"
},
{
"data": {
"biography": "",
"name": "곽재용",
"primary": true
},
"english_name": "Korean",
"iso_3166_1": "KR",
"iso_639_1": "ko",
"name": "한국어/조선말"
},
{
"data": {
"biography": "郭在容韩国的导演兼编剧,曾在庆熙大学主修物理。2001年卖座电影《我的野蛮女友》问世,该片的成功在亚洲引发了一场“电影韩流”,此片之于韩国电影的意义并不仅仅是形式,它的最大意义在于恰到好处地并妥帖地在电影中寻找出一条合理诠释韩国女权主义的道路。郭在容的作品影像干净利落,画面唯美清新,擅长青春情感故事的诠释,情节简单却不失感动,擅长抓住年轻观众的心理。",
"name": "郭在容",
"primary": false
},
"english_name": "Mandarin",
"iso_3166_1": "CN",
"iso_639_1": "zh",
"name": "普通话"
},
{
"data": {
"biography": "",
"name": "",
"primary": false
},
"english_name": "Pushto",
"iso_3166_1": "PS",
"iso_639_1": "ps",
"name": "پښتو"
}
]
}People
Translations
Get the translations that belong to a person.
GET
/
3
/
person
/
{person_id}
/
translations
Translations
Path Parameters
Response
200 - application/json
Translate
Example:
63429
Show child attributes
Show child attributes
Example:
[
{
"data": {
"biography": "Kwak Jae-yong is a South Korean film director and screenwriter. He studied physics at Kyung Hee University. He achieved success with his debut film Watercolor Painting in a Rainy Day in 1989, but the failure of his next two movies led to eight years of unemployment before a comeback with the smash-hit film My Sassy Girl in 2001. He is known for his limitless fondness of love stories set in a mix of different genres.\n\nDescription above from the Wikipedia article Kwak Jae-yong, licensed under CC-BY-SA, full list of contributors on Wikipedia.",
"name": "Kwak Jae-yong",
"primary": false
},
"english_name": "English",
"iso_3166_1": "US",
"iso_639_1": "en",
"name": "English"
},
{
"data": {
"biography": "",
"name": "곽재용",
"primary": true
},
"english_name": "Korean",
"iso_3166_1": "KR",
"iso_639_1": "ko",
"name": "한국어/조선말"
},
{
"data": {
"biography": "郭在容韩国的导演兼编剧,曾在庆熙大学主修物理。2001年卖座电影《我的野蛮女友》问世,该片的成功在亚洲引发了一场“电影韩流”,此片之于韩国电影的意义并不仅仅是形式,它的最大意义在于恰到好处地并妥帖地在电影中寻找出一条合理诠释韩国女权主义的道路。郭在容的作品影像干净利落,画面唯美清新,擅长青春情感故事的诠释,情节简单却不失感动,擅长抓住年轻观众的心理。",
"name": "郭在容",
"primary": false
},
"english_name": "Mandarin",
"iso_3166_1": "CN",
"iso_639_1": "zh",
"name": "普通话"
},
{
"data": {
"biography": "",
"name": "",
"primary": false
},
"english_name": "Pushto",
"iso_3166_1": "PS",
"iso_639_1": "ps",
"name": "پښتو"
}
]